# class ConnectionServer

###

Module | kio
Namespace | KIO
Class | ConnectionServer
Inherits | QObject

This class provides a way to obtaining KIO.Connection connections.

### methods

- ConnectionServer (parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  parent | QObject | 0

- address ( )

  returns QString

  Returns the address for this connection if it is listening, an empty string if not.

- close ( )

  returns Nothing

  Closes the connection.

- isListening ( )

  returns bool

- listenForRemote ( )

  returns Nothing

  Sets this connection to listen mode. Use address() to obtain the address this is listening on.

- newConnection ( )

  returns Nothing
  SIGNAL ("newConnection ()")

- nextPendingConnection ( )

  returns KIO.Connection

- setNextPendingConnection (conn)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  conn | KIO.Connection |